var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { useCallback } from 'react';
import { Select as AntdSelect } from 'antd';
import { Labelled } from '../labelled';
import { SelectCSS } from './multi-text-input.style';
export const MultiTextInput = (_a) => {
    var { onChange = () => void 0, onBlur = () => void 0, onAccept = () => void 0, defaultValue, onSelect, value } = _a, props = __rest(_a, ["onChange", "onBlur", "onAccept", "defaultValue", "onSelect", "value"]);
    const handleChange = useCallback((values) => onChange(values), [onChange]);
    const handleDeselect = useCallback(() => {
        onAccept();
    }, [onAccept]);
    const handleBlur = useCallback((event) => {
        onAccept();
        onBlur(event);
    }, [onBlur, onAccept]);
    return (_jsx(AntdSelect, Object.assign({ css: SelectCSS, tokenSeparators: [' ', ','], size: "small", mode: "tags", onChange: handleChange, onDeselect: handleDeselect, onBlur: handleBlur, suffixIcon: null, open: false, value: value }, props)));
};
export const LabelledMultiTextInput = (_a) => {
    var { label } = _a, props = __rest(_a, ["label"]);
    return (_jsx(Labelled, { label: label, children: _jsx(MultiTextInput, Object.assign({}, props)) }));
};
